Subject: Re: bug#15382: desktop restores buffers in wrong order

From: martin rudalics <[email-masked]>
Date: Tue, 17 Dec 2013 18:31:42 +0100

> Correctly restoring the frames requires restoring the window-buffer
 > correspondence, so if you run the (mapc #'bury-buffer ...) code
 > afterwards, you destroy that correspondence. A way would be required
 > to reset buffer-list's without affecting how buffers are displayed...

We would have to show and bury buffers to get the appropriate order for
frames.  However, with multiple frames this might clobber the order of
the global buffer list.  `set-window-prev-buffers' and
`set-window-next-buffers' should suffice to fix the window buffer lists
afterwards.  In any case, this doesn't sound like a trivial task.

martin